SET(speedcrunch_RESOURCES
resources/speedcrunch.qrc
)

set(speedcrunch_HEADERS
core/book.h
core/constants.h
core/evaluator.h
core/functions.h
core/manualserver.h
core/session.h
core/errors.h
core/numberformatter.h
core/pageserver.h
core/settings.h
core/opcode.h
core/sessionhistory.h
core/variable.h
core/userfunction.h
gui/aboutbox.h
gui/bitfieldwidget.h
gui/bookdock.h
gui/constantswidget.h
gui/editor.h
gui/functionswidget.h
gui/historywidget.h
gui/genericdock.h
gui/keypad.h
gui/mainwindow.h
gui/manualwindow.h
gui/resultdisplay.h
gui/variablelistwidget.h
gui/userfunctionlistwidget.h
gui/syntaxhighlighter.h
math/floatcommon.h
math/floatconfig.h
math/floatconst.h
math/floatconvert.h
math/floaterf.h
math/floatexp.h
math/floatgamma.h
math/floathmath.h
math/floatincgamma.h
math/floatio.h
math/floatipower.h
math/floatlog.h
math/floatlogic.h
math/floatlong.h
math/floatnum.h
math/floatpower.h
math/floatseries.h
math/floattrig.h
math/hmath.h
math/number.h
math/rational.h
math/quantity.h
math/units.h
)

set(speedcrunch_SOURCES
main.cpp
core/book.cpp
core/constants.cpp
core/evaluator.cpp
core/functions.cpp
core/manualserver.cpp
core/numberformatter.cpp
core/pageserver.cpp
core/settings.cpp
core/session.cpp
core/sessionhistory.cpp
core/variable.cpp
core/userfunction.cpp
core/opcode.cpp
gui/aboutbox.cpp
gui/bitfieldwidget.cpp
gui/bookdock.cpp
gui/constantswidget.cpp
gui/editor.cpp
gui/functionswidget.cpp
gui/historywidget.cpp
# added here explicitly so it shows up in QtCreator
gui/genericdock.h
gui/keypad.cpp
gui/mainwindow.cpp
gui/manualwindow.cpp
gui/resultdisplay.cpp
gui/syntaxhighlighter.cpp
gui/variablelistwidget.cpp
gui/userfunctionlistwidget.cpp
math/floatcommon.c
math/floatconst.c
math/floatconvert.c
math/floaterf.c
math/floatexp.c
math/floatgamma.c
math/floathmath.c
math/floatio.c
math/floatipower.c
math/floatlog.c
math/floatlogic.c
math/floatlong.c
math/floatnum.c
math/floatpower.c
math/floatseries.c
math/floattrig.c
math/floatincgamma.c
math/hmath.cpp
math/number.c
math/cmath.cpp
math/cnumberparser.cpp
math/rational.cpp
math/quantity.cpp
math/units.cpp
)

set(testhmath_SOURCES
math/floatcommon.c
math/floatconst.c
math/floatconvert.c
math/floaterf.c
math/floatexp.c
math/floatgamma.c
math/floathmath.c
math/floatio.c
math/floatipower.c
math/floatlog.c
math/floatlogic.c
math/floatlong.c
math/floatnum.c
math/floatpower.c
math/floatseries.c
math/floattrig.c
math/hmath.cpp
math/number.c
math/rational.cpp
math/quantity.cpp
math/cmath.cpp
math/units.cpp
math/cnumberparser.cpp
tests/testhmath.cpp
)

set(testevaluator_HEADERS
core/evaluator.h
core/functions.h
)

set(testevaluator_SOURCES
core/evaluator.cpp
core/functions.cpp
core/settings.cpp
core/userfunction.cpp
core/session.cpp
core/sessionhistory.cpp
core/variable.cpp
core/numberformatter.cpp
math/floatcommon.c
math/floatconst.c
math/floatconvert.c
math/floaterf.c
math/floatexp.c
math/floatgamma.c
math/floathmath.c
math/floatio.c
math/floatipower.c
math/floatlog.c
math/floatlogic.c
math/floatlong.c
math/floatnum.c
math/floatpower.c
math/floatseries.c
math/floattrig.c
math/hmath.cpp
math/number.c
math/cmath.cpp
math/cnumberparser.cpp
math/rational.cpp
math/quantity.cpp
math/units.cpp
tests/testevaluator.cpp
)

set(testfloatnum_SOURCES
math/floatcommon.c
math/floatconst.c
math/floatconvert.c
math/floaterf.c
math/floatexp.c
math/floatgamma.c
math/floathmath.c
math/floatio.c
math/floatipower.c
math/floatlog.c
math/floatlogic.c
math/floatlong.c
math/floatnum.c
math/floatpower.c
math/floatseries.c
math/floattrig.c
math/number.c
tests/testfloatnum.c
)

set(testcmath_SOURCES
math/floatcommon.c
math/floatconst.c
math/floatconvert.c
math/floaterf.c
math/floatexp.c
math/floatgamma.c
math/floathmath.c
math/floatio.c
math/floatipower.c
math/floatlog.c
math/floatlogic.c
math/floatlong.c
math/floatnum.c
math/floatpower.c
math/floatseries.c
math/floattrig.c
math/hmath.cpp
math/number.c
math/cmath.cpp
math/cnumberparser.cpp
math/rational.cpp
math/quantity.cpp
math/units.cpp
tests/testcmath.cpp
)

set(testdmath_SOURCES
math/floatcommon.c
math/floatconst.c
math/floatconvert.c
math/floaterf.c
math/floatexp.c
math/floatgamma.c
math/floathmath.c
math/floatio.c
math/floatipower.c
math/floatlog.c
math/floatlogic.c
math/floatlong.c
math/floatnum.c
math/floatpower.c
math/floatseries.c
math/floattrig.c
math/hmath.cpp
math/number.c
math/cmath.cpp
math/cnumberparser.cpp
math/rational.cpp
math/quantity.cpp
math/units.cpp
tests/testdmath.cpp
)

set(testser_SOURCES
core/numberformatter.cpp
core/settings.cpp
math/floatcommon.c
math/floatconst.c
math/floatconvert.c
math/floaterf.c
math/floatexp.c
math/floatgamma.c
math/floathmath.c
math/floatio.c
math/floatipower.c
math/floatlog.c
math/floatlogic.c
math/floatlong.c
math/floatnum.c
math/floatpower.c
math/floatseries.c
math/floattrig.c
math/hmath.cpp
math/number.c
math/cmath.cpp
math/cnumberparser.cpp
math/rational.cpp
math/quantity.cpp
math/units.cpp
tests/testser.cpp
)
